# $Revision: 1.29 $, $Date: 2006/05/19 06:47:55 $
# NOTE:
# 32-bit tncfg and starter won't work on 64-bit kernels because of FUBAR ioctls
# (only ifru_data pointer is supported in 32->64 conversion of SIOCDEVPRIV ioctl,
#  but openswan puts some static data in structure there)
Summary:	Open Source implementation of IPsec for the Linux operating system
Summary(pl):	Otwarta implementacja IPseca dla systemu operacyjnego Linux
Name:		openswan
Version:	2.4.5
Release:	1
Epoch:		0
License:	GPL/BSD
Group:		Networking/Daemons
Source0:	http://www.openswan.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	a9a8e88313faceebfc5ceb1a9da9a3c4
Source1:	%{name}.init
Patch0:		%{name}-prefix.patch
Patch1:		%{name}-bash.patch
URL:		http://www.openswan.org/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gmp-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires:	bash
Requires:	rc-scripts
Provides:	freeswan
Obsoletes:	freeswan
Obsoletes:	ipsec-tools
Obsoletes:	strongswan
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Openswan is an Open Source implementation of IPsec for the Linux 2.6.x
operating system. Is it a code fork of the FreeS/WAN project, started
by a few of the developers who were growing frustrated with the
politics surrounding the FreeS/WAN project.

%description -l pl
Openswan to otwarta implementacja IPseca dla systemu operacyjnego
Linux 2.6.x. Jest to odgazienie kodu z projektu FreeS/WAN,
rozpoczte przez kilku programistw coraz bardziej sfrustrowanych
polityk otaczajc projekt FreeS/WAN.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__sed} -i -e "s#/lib/ipsec#/%{_lib}/ipsec#g#" Makefile
%{__sed} -i -e "s#/lib/freeswan$#/%{_lib}/freeswan#g#" Makefile
%{__sed} -i -e "s#/lib/ipsec#/%{_lib}/ipsec#g#" Makefile.inc

%build
%{__make} programs \
	CC="%{__cc}" \
	USERCOMPILE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/var/run/pluto}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ipsec
%{__sed} -i -e "s#/lib/ipsec#/%{_lib}/ipsec#g#" $RPM_BUILD_ROOT/etc/rc.d/init.d/ipsec

for l in `find $RPM_BUILD_ROOT%{_mandir}/man3 -type l` ; do
	d=`readlink $l`
	rm -f $l
	echo ".so $d" > $l
done

# just man pages converted to HTML
rm -rf $RPM_BUILD_ROOT%{_docdir}/openswan/*.[358].html

# API not exported - kill for now
rm -rf $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ipsec
%service ipsec restart "IPSEC daemon"

%preun
if [ "$1" = "0" ]; then
	%service ipsec stop
	/sbin/chkconfig --del ipsec
fi

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES CREDITS LICENSE README doc
%attr(755,root,root) %{_sbindir}/*
%dir %{_libdir}/ipsec
%attr(755,root,root) %{_libdir}/ipsec/*
%attr(754,root,root) /etc/rc.d/init.d/ipsec
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ipsec.conf
%dir %{_sysconfdir}/ipsec.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ipsec.d/*
%dir /var/run/pluto
%{_mandir}/man5/*
%{_mandir}/man8/*

# devel docs (but no devel libs)
#%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openswan.spec,v $
Revision 1.29  2006/05/19 06:47:55  marcus
- up to 2.4.5. works.

Revision 1.28  2006/03/12 22:45:47  glen
- use %service, adapterized

Revision 1.27  2006/02/12 19:40:50  marcus
- build html man pages and then removing is not necessary

Revision 1.26  2006/02/11 11:07:04  marcus
- rel.2.

Revision 1.25  2006/01/11 18:47:40  qboosh
- note about 32-bit user/64-bit kernel incompatibility

Revision 1.24  2006/01/11 15:28:29  qboosh
- added /var/run/pluto dir

Revision 1.23  2006/01/11 10:42:17  qboosh
- optflags, cleanups

Revision 1.22  2005/12/20 00:07:55  glen
- add CVE refs

Revision 1.21  2005/12/13 14:11:32  glen
- adapterized (sorted %verify attrs)

Revision 1.20  2005/12/02 11:14:44  areq
- 2.4.4 (resolves CVE-2005-3671, CVE-2005-3732)

Revision 1.19  2005/07/10 18:21:52  areq
- 2.3.1

Revision 1.18  2005/04/04 12:55:23  zawadaa
- add BR lynx
- STBR

Revision 1.17  2005/02/10 14:40:25  radzio
- CAN references for last update

Revision 1.16  2005/02/01 22:24:37  krolik
- up to 2.3.0 (security update)
- changed Source0
- STBR
  [fixes CAN-2005-0162 (GENERIC-MAP-NOMATCH)]

Revision 1.15  2004/12/01 01:27:35  zbyniu
- added PreReq: rc-scripts and Requires(): /sbin/chkconfig for daemon

Revision 1.14  2004/11/28 14:47:54  marcus
- openswan.init need sed'ing too

Revision 1.13  2004/11/28 12:14:29  havner
- try this way

Revision 1.12  2004/11/28 12:09:35  havner
- terminate seds, BR sed

Revision 1.11  2004/11/28 12:05:39  havner
- try to fix amd64 build

Revision 1.10  2004/11/25 21:23:42  marcus
- work for me, rel.1.
  (tested with kernel 2.4.27 on i686)

Revision 1.9  2004/11/24 19:46:17  marcus
- added Provides/Obsoletes

Revision 1.8  2004/11/24 19:40:53  marcus
- added bash patch

Revision 1.7  2004/10/06 11:19:48  qboosh
- sorted BRs, reverted docs breakage

Revision 1.6  2004/09/28 20:38:59  jasio
- added additional BR's: bison and flex.

Revision 1.5  2004/09/18 20:36:48  paszczus
- updated to 2.2.0
- added BR: htmldoc (for docs)
- cleanups

Revision 1.4  2004/08/10 12:03:08  deejay1
- up to 2.1.4 - see CAN-2004-0590

Revision 1.3  2004/05/25 16:25:45  qboosh
- pl, cleanups

Revision 1.2  2004/05/25 14:39:24  krzak
- openswan.init - fixed a bit
- small fixes

Revision 1.1  2004/05/25 10:39:28  krzak
- initial PLD release
